#pragma once

#include "CoreMinimal.h"
#include "BaseBehaviourIncentive.h"
#include "Templates/SubclassOf.h"
#include "BehaviourIncentive_InactivityExposer.generated.h"

class ASurvivorExposerInstance;

UCLASS(Blueprintable, Abstract)
class UBehaviourIncentive_InactivityExposer : public UBaseBehaviourIncentive
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSubclassOf<ASurvivorExposerInstance> _inactivityExposerInstanceClass;

public:
	UBehaviourIncentive_InactivityExposer();
};

FORCEINLINE uint32 GetTypeHash(const UBehaviourIncentive_InactivityExposer) { return 0; }
